# McdRatioCheck

### Description

Action to check the ratio of the Maker position after strategy execution.

> **Notes**
>
> 2% offset acceptable

### Action ID

`0x39274269`

### SDK Action

```ts
const mcdRatioCheckAction = new dfs.actions.McdRatioCheckAction(
    ...args
);

```

### Action Type

`CHECK_ACTION`

### Input Parameters

```solidity
    /// @param ratioState State of the ratio (SHOULD_BE_LOWER or SHOULD_BE_HIGHER)
    /// @param checkTarget Whether to check if the ratio is in the target range.
    /// @param ratioTarget Target ratio.
    /// @param vaultId Vault ID.
    /// @param startRatioIndex Index in returnValues where ratio before actions is stored
    struct Params {
        RatioState ratioState;
        bool checkTarget;
        uint256 ratioTarget;
        uint256 vaultId;
        uint256 startRatioIndex;
    }
```

### Return Value

```solidity
return bytes32(inputData.ratioTarget);
```

### Events and Logs

```solidity
emit ActionEvent("McdRatioCheck", logData);
bytes memory logData = abi.encode(currRatio);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/checkers/mcdratiocheck.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
